org.apache.flume.sink.kite.parser

## Interface EntityParser<E>

- All Known Implementing Classes:
    AvroParser

      @NotThreadSafe
      public interface EntityParser<E>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `EntityParser.Builder<E>` Knows how to build `EntityParser`s.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `parse(Event event, E reuse)` Parse a Kite entity from a Flume event

- - ### Method Detail

    - #### parse

          E parse(Event event,
                E reuse)
                  throws EventDeliveryException,
                         NonRecoverableEventException

      Parse a Kite entity from a Flume event
      Parameters:
        `event` - The event to parse
        `reuse` - If non-null, this may be reused and returned
      Returns:
        The parsed entity
      Throws:
        `EventDeliveryException` - A recoverable error during parsing. Parsing can be safely retried.
        `NonRecoverableEventException` - A non-recoverable error during parsing. The event must be discarded.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.